Bug 503287 - disconnecting a USB device causes a kernel oops...
disconnecting a USB device causes a kernel oops...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 16:07 EDT by Arne Woerner
Modified: 2009-11-18 05:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:38:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
missing kerneloops (kerneloops.org down?)... (5.04 KB, text/plain)
2009-06-05 04:32 EDT, Arne Woerner
no flags Details
kerneloops with updates-testing's kernel (6.64 KB, text/plain)
2009-06-08 06:22 EDT, Arne Woerner
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 13403 None None None Never

  None (edit)
Description Arne Woerner 2009-05-30 16:07:14 EDT
Description of problem:
i have an Arduino USB device connected to a USB port...
an application reads from the ttyUSBx device assigned to it...

When i disconnect+reconnect the Arduino, the multi-threaded application hangs
in state Zl with 1 as parent PID... it needs a SIGKILL to remove it... but: the
application was supposed to find arduino's new device ttyUSBy... ttyUSBx is not
re-used, when i disconnect the arduino again, although nobody uses ttyUSBx
anymore (at least no application)...

-arne

Version-Release number of selected component (if applicable):
2.6.27.24-170.2.68.fc10.x86_64

How reproducible:
tried it twice (rebooted between both tries) - and both failed

Steps to Reproduce:
1. pull the USB plug
2. put it back in
3. wait for the application to close the (now dead) device
4. then the kerneloops should happen
  
Actual results:
http://www.kerneloops.org/submitresult.php?number=435696

Expected results:
there should be no kerneloops

Additional info:
here r some more log lines:
May 30 17:48:30 vaako kernel: usb 2-1: Product: FT232R USB UART
May 30 17:48:30 vaako kernel: usb 2-1: Manufacturer: FTDI
May 30 17:48:30 vaako kernel: usb 2-1: SerialNumber: A70063G2
May 30 17:49:16 vaako kernel: BUG: unable to handle kernel NULL pointer
dereference at 0000000000000088
Comment 1 Chuck Ebbert 2009-06-05 02:27:46 EDT
kerneloops.org is dead, can you post the oops from your logs?
Comment 2 Arne Woerner 2009-06-05 04:32:47 EDT
Created attachment 346614 [details]
missing kerneloops (kerneloops.org down?)...
Comment 3 Chuck Ebbert 2009-06-07 21:36:44 EDT
This is almost certainly fixed in kernel-2.6.27.4-75 which is now in updates-testing.
Comment 4 Arne Woerner 2009-06-08 03:53:54 EDT
i tested 2.6.29.4-75:
Installed Packages
kernel.x86_64                         2.6.29.4-75.fc10                 installed
kernel-devel.x86_64                   2.6.29.4-75.fc10                 installed
kernel-firmware.noarch                2.6.29.4-75.fc10                 installed
kernel-headers.x86_64                 2.6.29.4-75.fc10                 installed

but:
pppoe didnt work anymore...
i use an onboard ethernet device (the board: Asrock, ALiveDual-eSATA2):
Jun  8 07:27:11 vaako kernel: eth0: RTL8168b/8111b at 0xffffc20010a7a000, 00:19:
66:5a:cd:ea, XID 38000000 IRQ 43
Jun  8 07:27:59 vaako pppoe[2355]: Timeout waiting for PADO packets

and i forgot to test if that USB bug persists in 2.6.29.4-75... :-(

-arne
Comment 5 Arne Woerner 2009-06-08 06:22:51 EDT
Created attachment 346849 [details]
kerneloops with updates-testing's kernel

i found strength to try it again
and
found that the updates-testing kernel has a oops, too...
at least on my box...
i attached it...

now i use
2.6.27.21-170.2.56.fc10.x86_64
again, which works fine with my eth0+usb devices... :-)

-arne
Comment 6 Arne Woerner 2009-06-12 06:10:02 EDT
with the kernel boot option "pci=nomsi" the .29 kernel likes my eth0 device,
but:

it still makes a kernel oops when i pull arduino's USB plug:
http://www.kerneloops.org/submitresult.php?number=447371

what can i do?

-arne
Comment 7 Chuck Ebbert 2009-06-14 22:54:51 EDT
This is fixed in 2.6.29.5
Comment 8 Arne Woerner 2009-06-20 05:21:13 EDT
ok

now (with 2.6.29.5) there is no kernel oops, when i disconnect the USB device...

-arne
Comment 9 Bug Zapper 2009-11-18 05:03:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Arne Woerner 2009-11-18 05:38:18 EST
was fixed with 2.6.29.5... -arne

Note You need to log in before you can comment on or make changes to this bug.